> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw to counterparty Id

> Withdraw funds from a specified currency account to a counterparty account

## API Key Permissions

This endpoint requires the "transfer" permission. Withdrawals are restricted to the profile associated with the API key.


## OpenAPI

````yaml post /withdrawals/counterparty
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /withdrawals/counterparty:
    post:
      tags:
        - Transfers
      summary: Withdraw to counterparty
      description: >-
        Withdraw funds from a specified currency account to a counterparty
        account
      operationId: ExchangeRESTAPI_PostWithdrawCounterparty
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/apiPublicPostTransferCounterpartyRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCounterpartyTransferResult'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
components:
  schemas:
    apiPublicPostTransferCounterpartyRequest:
      required:
        - amount
        - counterparty_id
        - currency
      type: object
      properties:
        amount:
          type: string
        counterparty_id:
          type: string
        currency:
          type: string
    apiCounterpartyTransferResult:
      type: object
      properties:
        id:
          type: string
        counterparty_id:
          type: string
        amount:
          type: string
        currency:
          type: string
        status:
          $ref: '#/components/schemas/apiCounterpartyTransferStatus'
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
    apiCounterpartyTransferStatus:
      type: string
      default: UNKNOWN
      enum:
        - UNKNOWN
        - PENDING
        - DONE
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````